Page MenuHomePhabricator

Make Special:CXStats layout consistent with Special:CX
Closed, ResolvedPublic1 Story Points

Description

Special:CX uses a full width layout without usual wiki sidebar. Special:CXStats is usual special page right now. It has big tables showing different matrices. The tables are growing and soon it will cross page width. To get some more screen space, making Special:CXstats also full width layout can help. It also make the layout consistent with Special:CX. We can also provide links between these two special pages and user will get a consistent UX.

In addition to this, since Special:CXStats is exposed outside beta, we can link to that from our public communications. People coming to that page is now clueless about -"Ok, good number of translations, me too want to translate. How?". To help this situation, if a user who did not enable cx betafeature come to Stats page, we can provide an easy way to start translating. In CX terminology this is a "campaign". For CX users, we can just give usual CX header.

This is illustrated in two images:
http://i.imgur.com/XxnGNsr.png and http://i.imgur.com/02AGbgv.png

Campaign effectiveness analytics tooling already exists to measure this.

Event Timeline

santhosh created this task.Apr 24 2015, 3:56 PM
santhosh raised the priority of this task from to Needs Triage.
santhosh updated the task description. (Show Details)
santhosh added subscribers: santhosh, Pginer-WMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 24 2015, 3:56 PM

Change 206373 had a related patch set uploaded (by Santhosh):
Special:CXStats - use same full screen layout of Special:CX

https://gerrit.wikimedia.org/r/206373

santhosh set Security to None.
Arrbee triaged this task as Normal priority.Apr 27 2015, 7:16 AM
Arrbee moved this task from Backlog to In Progress on the LE-Sprint-86 board.
Arrbee added a subscriber: Arrbee.
KartikMistry edited a custom field.
KartikMistry added a subscriber: KartikMistry.

Change 206373 merged by jenkins-bot:
Special:CXStats - use same full screen layout of Special:CX

https://gerrit.wikimedia.org/r/206373

santhosh moved this task from In Review to Done on the LE-Sprint-86 board.May 16 2015, 1:19 PM
Arrbee closed this task as Resolved.May 25 2015, 8:18 AM